import * as jsparser from '@babel/parser';
import { Plugin } from 'rollup';

/** `@pathscale/rollup-plugin-vue3-ui-css-purge`'s full option list */
interface Options {
    /** Files to include for processing */
    include?: ReadonlyArray<string | RegExp> | string | RegExp | null;
    /** Files to exclude from processing */
    exclude?: ReadonlyArray<string | RegExp> | string | RegExp | null;
    /** Enable debug output */
    debug?: boolean;
    /** Options for parser */
    parserOpts?: jsparser.ParserOptions;
    /** Import aliases */
    alias?: Record<string, string>;
}

declare const generator: (options?: Options) => Plugin;

export { generator as default };
